Subject: Re: Recurrence-Rule-Question

From: Martin Neimeier <[email-masked]>
Date: Mon, 20 Nov 2000 16:37:21 +0000

[email-masked] wrote:
> 
> This is how I defined Chile, I agree with what you have.
> 
> tzid:     CHL Chile, Santiago
> Standard:
>   valid          : 1
>   dtstart        : 1/1/1904 T 0:0:0
>   interval_start : MONTH=3, Order=1, DOW=0, BMD=9, HH=0, MM=0
>   offset_from_UTC: -3
>   offset_to_UTC  : -4
>   name           : Chile, Santiago
> Daylight:
>   valid          : 1
>   dtstart        : 1/1/1904 T 0:0:0
>   interval_start : MONTH=10, Order=1, DOW=0, BMD=9, HH=0, MM=0
>   offset_from_UTC: -4
>   offset_to_UTC  : -3
>   name           : Chile, Santiago,DST

Hello,

If im correct, you use (for DAYLIGHT):

RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=SU;BYMONTHDAY=9

but I think it must be:

RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=SU;BYMONTHDAY=9,10,11,12,13,14,15

Thats the reason for my question. Describing "Sun>=9" as "BYMONTHDAY=9,10,11,12,13,14,15;BYDAY=SU"
is no nice solution. 

I think there should be a better way, to do this like:

BYMONTHDAY=GEQ(9);BYDAY=SU"   (GEQ means greater or equal)

This is only an Idea.

cu
Martin
-- 
UNIX was never designed to keep people from doing stupid things, because
that policy would also keep them from doing clever things.   (Doug Gwyn)
--
Martin Neimeier / Ingenieur-Buero Neimeier / Schwarzach / Germany
mailto:[email-masked] / http://www.ibn.de (under heavy reconstruction) / Tel:+49(6262)912344 /
Fax:+49(6262)912347